# Summary

* [Introduction](./intro.md)
* [Installation](./installation.md)
  * [Pre-Built Binaries](./installation_binaries.md)
  * [Docker](./installation_docker.md)
  * [Build from Source](./installation_source.md)
  * [Cross-Compiling](./installation_cross_compiling.md)
  * [Homebrew](./installation_homebrew.md)
  * [Update Priorities](./installation_priorities.md)
* [Run a Node](./run_a_node.md)
* [Become a Validator](./mainnet_validator.md)
* [Validator Management](./validator_management.md)
  * [The `validator-manager` Command](./validator_manager.md)
    * [Creating validators](./validator_manager_create.md)
    * [Moving validators](./validator_manager_move.md)
    * [Managing validators](./validator_manager_api.md)
  * [Slashing Protection](./validator_slashing_protection.md)
  * [Voluntary Exits](./validator_voluntary_exit.md)
  * [Validator Sweep](./validator_sweep.md)
  * [Validator Monitoring](./validator_monitoring.md)
  * [Doppelganger Protection](./validator_doppelganger.md)
  * [Suggested Fee Recipient](./validator_fee_recipient.md)
  * [Validator Graffiti](./validator_graffiti.md)
  * [Consolidation](./validator_consolidation.md)
* [APIs](./api.md)
  * [Beacon Node API](./api_bn.md)
    * [Lighthouse API](./api_lighthouse.md)
    * [Validator Inclusion APIs](./api_validator_inclusion.md)
  * [Validator Client API](./api_vc.md)
    * [Endpoints](./api_vc_endpoints.md)
    * [Authorization Header](./api_vc_auth_header.md)
  * [Prometheus Metrics](./api_metrics.md)
* [Lighthouse UI (Siren)](./ui.md)
  * [Installation](./ui_installation.md)
  * [Authentication](./ui_authentication.md)
  * [Usage](./ui_usage.md)
  * [FAQs](./ui_faqs.md)
* [Advanced Usage](./advanced.md)
  * [Checkpoint Sync](./advanced_checkpoint_sync.md)
  * [Custom Data Directories](./advanced_datadir.md)
  * [Proposer Only Beacon Nodes](./advanced_proposer_only.md)
  * [Remote Signing with Web3Signer](./advanced_web3signer.md)
  * [Database Configuration](./advanced_database.md)
  * [Database Migrations](./advanced_database_migrations.md)
  * [Key Recovery](./advanced_key_recovery.md)
  * [Advanced Networking](./advanced_networking.md)
  * [Running a Slasher](./advanced_slasher.md)
  * [Redundancy](./advanced_redundancy.md)
  * [Release Candidates](./advanced_release_candidates.md)
  * [MEV](./advanced_builders.md)
  * [Late Block Re-orgs](./advanced_re-orgs.md)
  * [Blobs](./advanced_blobs.md)
* [Command Line Reference (CLI)](./help_general.md)
  * [Beacon Node](./help_bn.md)
  * [Validator Client](./help_vc.md)
  * [Validator Manager](./help_vm.md)
    * [Create](./help_vm_create.md)
    * [Import](./help_vm_import.md)
    * [Move](./help_vm_move.md)
* [Contributing](./contributing.md)
  * [Development Environment](./contributing_setup.md)
* [FAQs](./faq.md)
* [Protocol Developers](./developers.md)
  * [Lighthouse Architecture](./developers_architecture.md)
* [Security Researchers](./security.md)
* [Archived](./archived.md)
  * [Merge Migration](./archived_merge_migration.md)
  * [Raspberry Pi 4](./archived_pi.md)
  * [Key Management](./archived_key_management.md)
